import request from '@/utils/request'

export function getPurchaseStoragePage(data) {
  return request({
    url: '/procure-receiving/page',
    method: 'get',
    params: data
  })
}

export function getPurchaseStorageList(data) {
  return request({
    url: '/procure-receiving/list',
    method: 'post',
    data: data
  })
}

export function addPurchaseStorage(data) {
  return request({
    url: '/procure-receiving/add',
    method: 'post',
    data: data
  })
}

export function editPurchaseStorage(data) {
  return request({
    url: '/procure-receiving/edit',
    method: 'post',
    data: data
  })
}

export function delPurchaseStorage(data) {
  return request({
    url: '/procure-receiving/delete',
    method: 'post',
    data: data
  })
}

export function getPurchaseStorageById(data) {
  return request({
    url: '/procure-receiving/listById',
    method: 'post',
    data: data
  })
}

// 获取最新的采购入库单编号
export function getStorageNum(data) {
  return request({
    url: '/procure-receiving/getReceivingNum',
    method: 'post',
    data: data
  })
}
